This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 198255 - rkhunter email subject line improvement
rkhunter email subject line improvement
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rkhunter (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Greg Houlette
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-10 13:07 EDT by Brian Gaynor
Modified: 2008-05-06 12:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:05:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch dron.daily to add hostname to email subject line (162 bytes, patch)
2006-07-10 13:07 EDT, Brian Gaynor
no flags Details | Diff
rkhunter email subject line improvement (cont.) (494 bytes, patch)
2006-07-14 07:07 EDT, Greg Houlette
no flags Details | Diff
rkhunter email subject line improvement (correction) (494 bytes, patch)
2006-07-14 07:39 EDT, Greg Houlette
no flags Details | Diff

  None (edit)
Description Brian Gaynor 2006-07-10 13:07:30 EDT
Description of problem:

When running rkhunter on multiple systems it can be difficult to easily identify
which email comes from which server (they all look alike). Adding the hostname
to the subject line (similar to the way logwatch does) would solve the problem.

Version-Release number of selected component (if applicable):

1.2.8

How reproducible:

Always

Steps to Reproduce:
1. Run rkhunter on multiple boxes with the emails forwarded to a single account
2. ???
3. Profit
  
Actual results:


Expected results:

All the emails look like:

root <root@localhost> rkhunter Daily Run

Additional info:

Diff file attached modifies the cron.daily file to add the hostname to the email
subject line.
Comment 1 Brian Gaynor 2006-07-10 13:07:30 EDT
Created attachment 132186 [details]
Patch dron.daily to add hostname to email subject line
Comment 2 Greg Houlette 2006-07-14 07:07:05 EDT
Created attachment 132426 [details]
rkhunter email subject line improvement (cont.)

For post-install application by root user
Comment 3 Greg Houlette 2006-07-14 07:13:14 EDT
Thanks Brian for providing a concise and well documented suggestion.
(and especially thanks for providing a patchfile)

I intend to roll this into the next periodic release

I've provided an improvement on your suggestion by adding $OSTYPE to the subject
line as well (since rkhunter is relatively OS independent) and provided a new
patchfile here for your application.  I'm going to push this change upstream
to Michael Boelen if you haven't already.
Comment 4 Greg Houlette 2006-07-14 07:39:53 EDT
Created attachment 132427 [details]
rkhunter email subject line improvement (correction)

Forgot the double quotes...
Comment 5 Brian Gaynor 2006-07-14 10:38:50 EDT
Greg - glad I could be of help. I have not said anything to upstream as I
couldn't find the cron script in the upstream. Thanks for taking the time to
package and maintain rkhunter for all us FC users.
Comment 6 Bug Zapper 2008-04-03 23:16:07 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 7 Bug Zapper 2008-05-06 12:05:54 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.